Subject: Re: [Gen-art] Gen-ART LC review of draft-ietf-radext-tcp-transport-06.txt

From: Alan DeKok <[email-masked]>
Date: Tue, 08 Jun 2010 21:29:21 +0200

Glenn Kowack wrote:
...
>>> Does ‘traditional’ here mean as defined by the specification or is UDP
>>> use optional?
>>  It means "as defined by the spec".  Until now, UDP has been mandatory.
> 
> I recommend you say that explicitly: as defined by the specification.  It's not
> clear to me what 'traditional' means to random readers; they may view the
> cited use of UDP as strictly historical.  In any event, they probably won't
> understand that 'traditional' means 'normative'.

  OK.

>> It is not intended to define TCP as a transport protocol for RADIUS in
>> the absence of a secure transport layer.
> 
> Although an improvement, your change does not provide the clarification
> I believe is necessary.  Stating a negative, and also citing 'intent' in "not
> intended to define", is awkward and leaves room for speculation about the
> positive case.  Please see my prior example.

  OK, except that using RADIUS + TCP over IPSec would be allowed.  It's
too restrictive to specify TLS as the only permitted secure transport layer.

> I think I should have been clearer that my question is about generally-
> acceptable levels of failure for a mass-market network service.  This sort
> of data covers a broad area and should be publicly available.

  References would be helpful.

  Alan DeKok.